Package org.zkoss.stateless.sul

## Enum IListbox.Autosort

- java.lang.Object
- - java.lang.Enum<IListbox.Autosort>
  - - org.zkoss.stateless.sul.IListbox.Autosort

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IListbox.Autosort>`
  Enclosing interface:
    IListbox

      public static enum IListbox.Autosort
      extends java.lang.Enum<IListbox.Autosort>

  Specifies whether to sort the model when the following cases:
  - With `ListModel` case and `IListheader.withSortDirection(String)` is set.
  - `IListheader.withSortDirection(String)` is called.
  - Model receives `ListDataEvent` and `IListheader.withSortDirection(String)` is set.
  If you want to ignore sorting when receiving ListDataEvent, you can specify the value as `IGNORE_CHANGE`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ENABLE` | Enables the auto-sort facility.
    `IGNORE_CHANGE` | Ignores to sort when the `ListDataEvent` is sent.
    `NONE` | Disables the auto-sort facility.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IListbox.Autosort` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IListbox.Autosort[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLE

          public static final IListbox.Autosort ENABLE

      Enables the auto-sort facility.

    - #### NONE

          public static final IListbox.Autosort NONE

      Disables the auto-sort facility.

    - #### IGNORE_CHANGE

          public static final IListbox.Autosort IGNORE_CHANGE

      Ignores to sort when the `ListDataEvent` is sent.

  - ### Method Detail

    - #### values

          public static IListbox.Autosort[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IListbox.Autosort c : IListbox.Autosort.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IListbox.Autosort valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null